Package org.drinkless.tdlib

# Class TdApi.CanTransferOwnershipResultPasswordTooFresh

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CanTransferOwnershipResult
org.drinkless.tdlib.TdApi.CanTransferOwnershipResultPasswordTooFresh

Enclosing class:
  TdApi

public static class TdApi.CanTransferOwnershipResultPasswordTooFresh extends TdApi.CanTransferOwnershipResult
The 2-step verification was enabled recently, user needs to wait.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.CanTransferOwnershipResult

  `TdApi.CanTransferOwnershipResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `retryAfter`
  Time left before the session can be used to transfer ownership of a chat, in seconds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CanTransferOwnershipResultPasswordTooFresh()`
  The 2-step verification was enabled recently, user needs to wait.
  `CanTransferOwnershipResultPasswordTooFresh(int retryAfter)`
  The 2-step verification was enabled recently, user needs to wait.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### retryAfter

    public int retryAfter
    Time left before the session can be used to transfer ownership of a chat, in seconds.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CanTransferOwnershipResultPasswordTooFresh

    public CanTransferOwnershipResultPasswordTooFresh()
    The 2-step verification was enabled recently, user needs to wait.

  - ### CanTransferOwnershipResultPasswordTooFresh

    public CanTransferOwnershipResultPasswordTooFresh(int retryAfter)
    The 2-step verification was enabled recently, user needs to wait.
    Parameters:
      `retryAfter` - Time left before the session can be used to transfer ownership of a chat, in seconds.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.CanTransferOwnershipResult`
    Returns:
      this.CONSTRUCTOR